<?php
/*
 * Check for errors on the SQL statement itself.
 */
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title> Class 16 exercise </title>
    </head>
    <body>
        <?php
        $name = "Mike";
        try {
            $db = new PDO("mysql:host=localhost;dbname=class16","class16","password");
			$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);   
        } catch (PDOException $ex) {
            echo "<span style='color:red'>";
            echo $ex->getMessage();
            echo "</span>";
            exit();  
        }
        
        // - ok, let's do a little more checking on the SQL statement itself.
        $statement = $db->prepare("insert into BAD_TABLE_NAME(name) values (:name)");
        $statement->bindValue(':name', $name);
        $successful = $statement->execute(); //if the statement is bad, this will return FALSE
        
        if ($successful === false)
        {
	    // the errorInfo method returns an array. 
	    // The third element contains the verbose error message.
            echo $statement->errorInfo()[2];  
        }
        
        $statement->closeCursor();

        ?>
        <p>OK</p>
    </body>
</html>
