<?php
/*
 * Check for errors on the SQL statement itself.  If there are no errors, loop through the array.  Use fetchall and a "for each" loop.
 */
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title> Class 16 exercise </title>
    </head>
    <body>
        <?php
        $name = "Mike";
        try {
            $db = new PDO("mysql:host=localhost;dbname=class16","class16","password");
			$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);   
        } catch (PDOException $ex) {
            echo "<span style='color:red'>";
            echo $ex->getMessage();
            echo "</span>";
            exit();  
        }
        
        // - ok, let's do a little more checking on the SQL statement itself.
        $statement = $db->prepare("select id, name from names");
        $successful = $statement->execute(); //if the statement is bad, this will return FALSE
        
        if ($successful === false)
        {
	    // the errorInfo method returns an array. 
	    // The third element contains the verbose error message.
            echo $statement->errorInfo()[2];  
        }
        else
        {
        $allthedata = $statement->fetchall();
        foreach ($allthedata as $myarray)
            {
                echo "<p>";
                echo $myarray["id"];
                echo " ";
                echo $myarray["name"];
                echo "</p>";
            }
        }
  
        
        $statement->closeCursor();

        ?>
        <p>OK</p>
    </body>
</html>
